org.apache.hadoop.yarn

## Class LocalConfigurationProvider

- java.lang.Object
- - org.apache.hadoop.yarn.conf.ConfigurationProvider
  - - org.apache.hadoop.yarn.LocalConfigurationProvider

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class LocalConfigurationProvider
      extends org.apache.hadoop.yarn.conf.ConfigurationProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalConfigurationProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeInternal()`
    `InputStream` | `getConfigurationInputStream(org.apache.hadoop.conf.Configuration bootstrapConf, String name)`
    `void` | `initInternal(org.apache.hadoop.conf.Configuration bootstrapConf)`

    - ### Methods inherited from class org.apache.hadoop.yarn.conf.ConfigurationProvider

      `close, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalConfigurationProvider

          public LocalConfigurationProvider()

  - ### Method Detail

    - #### getConfigurationInputStream

          public InputStream getConfigurationInputStream(org.apache.hadoop.conf.Configuration bootstrapConf,
                                                         String name)
                                                  throws IOException,
                                                         org.apache.hadoop.yarn.exceptions.YarnException

      Specified by:
        `getConfigurationInputStream` in class `org.apache.hadoop.yarn.conf.ConfigurationProvider`
      Throws:
        `IOException`
        `org.apache.hadoop.yarn.exceptions.YarnException`

    - #### initInternal

          public void initInternal(org.apache.hadoop.conf.Configuration bootstrapConf)
                            throws Exception

      Specified by:
        `initInternal` in class `org.apache.hadoop.yarn.conf.ConfigurationProvider`
      Throws:
        `Exception`

    - #### closeInternal

          public void closeInternal()
                             throws Exception

      Specified by:
        `closeInternal` in class `org.apache.hadoop.yarn.conf.ConfigurationProvider`
      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.